ruby-net-ssh-multi_1.2.1-3_all.deb


Advertisement

Description

ruby-net-ssh-multi - Ruby library for making multiple SSH connections to remote systems

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-net-ssh-multi
Package version 1.2.1
Package release 3
Package architecture all
Package type deb
Installed size 92 B
Download size 21.69 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-net-ssh-multi_1.2.1-3_all.deb 1.2.1 all Debian Main
ruby-net-ssh-multi - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-net-ssh >= 2.6.5
ruby-net-ssh-gateway >= 1.2.0

Download

Type URL
Binary Package ruby-net-ssh-multi_1.2.1-3_all.deb
Source Package ruby-net-ssh-multi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-net-ssh-multi deb package:
    # sudo apt-get install ruby-net-ssh-multi

Files

Path
/usr/lib/ruby/vendor_ruby/net/ssh/multi.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/channel.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/channel_proxy.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/dynamic_server.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/pending_connection.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/server.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/server_list.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/session.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/session_actions.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/subsession.rb
/usr/lib/ruby/vendor_ruby/net/ssh/multi/version.rb
/usr/share/doc/ruby-net-ssh-multi/README.rdoc
/usr/share/doc/ruby-net-ssh-multi/changelog.Debian.gz
/usr/share/doc/ruby-net-ssh-multi/changelog.gz
/usr/share/doc/ruby-net-ssh-multi/copyright
/usr/share/rubygems-integration/all/specifications/net-ssh-multi-1.2.1.gemspec

Changelog

2017-07-08 - Cédric Boutillier <boutil@debian.org>
ruby-net-ssh-multi (1.2.1-3) unstable; urgency=medium
* Team upload
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Disable tests failing with Mocha 1.2 due to added visibility checks
* Bump Standards-Version to 4.0.0 (no changes needed)
2016-01-28 - Balasankar C <balasankarc@autistici.org>
ruby-net-ssh-multi (1.2.1-2) unstable; urgency=medium
* Team upload.
* require-timeout.patch : Explicitly require timeout. (Closes: #811462)
* Bump debhelper compatibility.
2015-05-05 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh-multi (1.2.1-1) unstable; urgency=medium
* New upstream release.
* Upload to unstable now that jessie is released.
* Drop patch: require_mocha_setup.patch. Merged upstream.
* ruby-tests.rake: set t.libs.
2015-04-10 - Sebastien Badia <seb@sebian.fr>
ruby-net-ssh-multi (1.2.0-3~exp1) experimental; urgency=medium
* Team upload.
[ Lucas Nussbaum ]
* Remove myself from Uploaders.
[ Sebastien Badia ]
* Target experimental and build with ruby 2.2.
* Add ruby-test-unit to Build-Depends for ruby2.2
* Bump Standards-Version to 3.9.6 (no further changes)
* Update Vcs-Browser to cgit URL and HTTPS
* Fix lintian issue (no-dep5-copyright)
2014-03-16 - Cédric Boutillier <boutil@debian.org>
ruby-net-ssh-multi (1.2.0-2) unstable; urgency=medium
* Team upload.
* Add require_mocha_setup.patch:
require mocha/setup instead of mocha, which is the way to ensure recent
versions of Mocha are currently initialized.
This fix test failures with Mocha 1.0 (Closes: #741769)
* Add a minimal 0.13~ version for ruby-mocha in build-dependencies.
2013-12-01 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-net-ssh-multi (1.2.0-1) unstable; urgency=low
* Team upload.
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Jonas Genannt ]
* Imported Upstream version 1.2.0
* d/control:
- removed transitional packages
- bumped standards version to 3.9.5 (no changes needed)
- changed ruby1.8 dependency to ruby
- wrap-sort
2012-06-27 - Paul van Tilburg <paulvt@debian.org>
ruby-net-ssh-multi (1.1-2) unstable; urgency=low
* Team upload.
* debian/control:
- Bump build dependency on gem2deb to >= 0.3.0~.
- Bumped the standards-version to 3.9.3.
- Set the priority of the transitional packages to "extra".
- Replaced conflicts by breaks.
2011-04-16 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
ruby-net-ssh-multi (1.1-1) unstable; urgency=low
* Switch to gem2deb-based packaging, rename source and binary package.
2010-03-21 - Joshua Timberman <joshua@opscode.com>
libnet-ssh-multi-ruby (1.0.1-1) unstable; urgency=low
* Initial release. (Closes: #574846)

See Also

Package Description
ruby-net-ssh_5.0.2-2_all.deb Ruby implementation of the SSH protocol
ruby-net-telnet_0.1.1-2_all.deb telnet client library
ruby-netaddr_1.5.1-2_all.deb manipulating network addresses
ruby-netcdf_0.7.2-3_amd64.deb Ruby interface of netCDF library
ruby-netrc_0.11.0-1_all.deb Ruby library to read and write netrc files
ruby-nfc_3.1.1-1+b6_amd64.deb ruby wrapper for the libnfc
ruby-ngraph_6.07.06-1_amd64.deb Library for using ngraph-gtk Ruby programs
ruby-nio4r_1.2.1-1+b2_amd64.deb Ruby library providing a selector API for monitoring IO objects
ruby-nokogiri-diff_0.2.0-1_all.deb calculate the differences between two XML/HTML documents
ruby-nokogiri_1.8.4-1_amd64.deb HTML, XML, SAX, and Reader parser for Ruby
ruby-nokogumbo_1.4.2+ds-1+b5_amd64.deb Nokogiri interface to the Gumbo HTML5 parser
ruby-nori_2.6.0-1_all.deb XML to Hash translator
ruby-notiffany_0.1.1-2_all.deb Wrapper libray for most popular notification libraries
ruby-notifier_0.5.1-2_all.deb send system notifications on several platforms
ruby-notify_0.5.2-2_all.deb Desktop notification command on cross platform
Advertisement
Advertisement